Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/11/2021 in all areas

  1. This works perfect! I appreciate the help. Tks.
    2 points
  2. There is a known bug in Autocad lisp that sometimes if you can not "SEE" what your doing on the screen Autocad does funny things, it pops up very rarely, so use "zoom C pt Scale" to get around it, the point would be say beam end. Not tested on your code. A couple of suggestions add the block path to your Support directories then can use just block name no need for path. An extra hint a undocumented help is add ".." to end of path this says go to sub directories also you dont need to add each one. \\BEAMS.. You have BEAM_TYPE "250UB 37.3" rather than a cond could use a simple substr function to strip the .3 off the end. 1 line of code compared to cond. (setq BEAM_TYPE (substr BEAM_TYPE 1 (vl-string-search "." BEAM_TYPE )))
    2 points
  3. @Jim Clayton Something Like this? If I am understanding what you want, this is not too difficult to do: (defun C:MLC (/ p1 p2 mp ss) (princ "\nSelect ONLY (2) Circle Objects: ") (if (and (setq ss (ssget '((0 . "CIRCLE")))) (= (sslength ss) 2) ) (progn (setq p1 (cdr (assoc 10 (entget (ssname ss 0)))) p2 (cdr (assoc 10 (entget (ssname ss 1)))) mp (polar p1 (angle p1 p2) (/ (distance p1 p2) 2)) ) (command "._offset" "_T" pause "_non" mp "") ) (if ss (princ "\nSelection Set must be 2 Circle objects.")) ) (princ) )
    2 points
  4. Just a note to say thanks for maintaining this site. It's a pleasure to come here, read a question, type out a response and see it instantly appear to help the other user(s). Image attachments via drag+drop work flawlessly too. It is noticed and appreciated. Cheers!
    1 point
  5. Worked like a charm. There is a reason why you are a "CAD Guru".
    1 point
  6. Now you know how to set the size of a point in Absolute units, set the size to some huge value. Then when you Zoom Extents, all your line work will be at the centre of the screen, and the points will extend to the edges of the screen. You can now Erase all the points using a crossing window or a fence selection on one side of the points, safe in the knowledge that all your work would not be selected.
    1 point
  7. Yeah? Odd, digging deeper now. Thanks for the headsup steven-g! I Believe it is fixed now, hope so. Yes quite a different link from the one which I had assumed, and which I prefer. A Norwegian friend recently signed that band to a recording contract, and sent me that link, because he thought they might be closer to my tastes than most of the Heavy Mental acts he signs. The young lady giving the online tour of the AirBNB listing was appreciably closer to the mark.
    1 point
  8. You can turn points off just select the blank style or (command "erase" (ssget "X" '(( 0 . "POINT"))) "") Big hint "DIMENSION"
    1 point
  9. Interesting can be done need some rules like edge clearance min and max length slot slot gap again min max obvious slot height slot spacing How many are variables. Lee-mac has a random number generator so can work out the min and max's. This uses the multi getvals.lsp in Cadtutor\downloads any one please feel free to use. If want to post random slot code, note "ans" is a list of strings. (if (not AH:getvalsm)(load "Multi Getvals.lsp")) (setq ans (AH:getvalsm (list "Enter slot details " "Top edge" 5 4 "100" "Bottom edge " 5 4 "100" "Side edge " 5 4 "60" "Slot height" 5 4 "20" "Slot min len" 5 4 "64" "Slot max len" 5 4 "350" "Slot horizontal space min " 5 4 "100""Slot horizontal space max " 5 4 "250" "Slot row spacing " 5 4 "100")))
    1 point
  10. Like tombu I use a different method, put your often loaded lisps into 1 lisp, for me Autoload.lsp, then "Appload" and add to "Startup suite". My autoload.lsp has 38 defuns in it. Some like 2 lines others more complicated. It also has lots of "Autoload" commands in the file worth looking into check help "AUTOLOAD". eg (autoload "COPYCOMMAND" '("ZZZ")) they get loaded automatically once you type the command.
    1 point
  11. I finally found the palette hiding along the very edge of the screen. Thanks anyway.
    1 point
  12. Please note that the layer containing that entity is locked, not the entire drawing. Just open the pop-up list of layers (or call LAYER command) and click on the lock icon of the layer containing said item.
    1 point
  13. The ADCADD_ZZ block originated with SoftDesk, and was involved with a method of storing information in the drawing. The Wblock method is a very good way of getting rid of it.
    1 point
  14. Hi, Here's a quicky. (defun c:curly (/ p1 p2 a0 a1 a2 d) (and (setq p1 (getpoint "\nFirst point: ")) (setq p2 (getpoint p1 "\nSecond point: ")) (setq a0 (angle p1 p2) a1 (- a0 (/ pi 12.)) a2 (+ a0 pi (/ pi 12.)) d (/ (/ (/ (distance p1 p2) 2.) (cos (/ pi 12.))) 2.) ) (entmake (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(100 . "AcDbPolyline") '(90 . 5) '(70 . 0) (cons 10 p1) '(42 . 0.6) (cons 10 (polar p1 a1 d)) '(42 . -0.6) (cons 10 (polar p1 a1 (* 2. d))) '(42 . -0.6) (cons 10 (polar p2 a2 d)) '(42 . 0.6) (cons 10 p2) ) ) ) (princ) )
    1 point
×
×
  • Create New...